openSUSE Security Update : python3 (openSUSE-2016-997) (httpoxy)

This script is Copyright (C) 2016 Tenable Network Security, Inc.


Synopsis :

The remote openSUSE host is missing a security update.

Description :

This update for python3 fixes the following issues :

- apply fix for CVE-2016-1000110 - CGIHandler: sets
environmental variable based on user-supplied Proxy
request header (fixes boo#989523, CVE-2016-1000110)

- update to 3.4.5 check:
https://docs.python.org/3.4/whatsnew/changelog.html
(fixes boo#984751, CVE-2016-0772) (fixes boo#985177,
CVE-2016-5636) (fixes boo#985348, CVE-2016-5699)

- Bump DH parameters to 2048 bit to fix logjam security
issue. boo#935856

- apply fix for CVE-2016-1000110 - CGIHandler: sets
environmental variable based on user-supplied Proxy
request header: (fixes boo#989523, CVE-2016-1000110)

See also :

https://bugzilla.opensuse.org/show_bug.cgi?id=935856
https://bugzilla.opensuse.org/show_bug.cgi?id=951166
https://bugzilla.opensuse.org/show_bug.cgi?id=983582
https://bugzilla.opensuse.org/show_bug.cgi?id=984751
https://bugzilla.opensuse.org/show_bug.cgi?id=985177
https://bugzilla.opensuse.org/show_bug.cgi?id=985348
https://bugzilla.opensuse.org/show_bug.cgi?id=989523
https://docs.python.org/3.4/whatsnew/changelog.html

Solution :

Update the affected python3 packages.

Risk factor :

Critical / CVSS Base Score : 10.0
(CVSS2#AV:N/AC:L/Au:N/C:C/I:C/A:C)

Family: SuSE Local Security Checks

Nessus Plugin ID: 93069 ()

Bugtraq ID:

CVE ID: CVE-2014-4650
CVE-2016-0772
CVE-2016-1000110
CVE-2016-5636
CVE-2016-5699

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now